Last Comment Bug 760671 - Hide the 'set as default browser' checkbox in the installer for Windows 8
: Hide the 'set as default browser' checkbox in the installer for Windows 8
Status: VERIFIED FIXED
:
Product: Firefox
Classification: Client Software
Component: Installer (show other bugs)
: Trunk
: x86_64 Windows 8
: -- normal (vote)
: Firefox 16
Assigned To: Brian R. Bondy [:bbondy]
:
Mentors:
Depends on:
Blocks: 760023
  Show dependency treegraph
 
Reported: 2012-06-01 14:30 PDT by Jim Mathies [:jimm]
Modified: 2012-06-21 01:52 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1. (1.36 KB, patch)
2012-06-04 13:07 PDT, Brian R. Bondy [:bbondy]
robert.strong.bugs: review+
Details | Diff | Splinter Review

Description Jim Mathies [:jimm] 2012-06-01 14:30:46 PDT
This no longer works on windows 8 (see bug 760023) so we are going to disable it.
Comment 1 Brian R. Bondy [:bbondy] 2012-06-04 13:07:08 PDT
Created attachment 629896 [details] [diff] [review]
Patch v1.

Review to land directly on m-c. 
On Win8 this checkbox is handled by an OS prompt at install-time.
Comment 2 Brian R. Bondy [:bbondy] 2012-06-04 19:10:48 PDT
By the way, for reviewing, both win2008 R2 and Win7 are v6.1
http://msdn.microsoft.com/en-us/library/windows/desktop/ms724833%28v=vs.85%29.aspx

I tried this on a Win7 machine and it showed the default browser checkbox, on a win8 machine it did not.
Comment 3 Brian R. Bondy [:bbondy] 2012-06-08 06:23:00 PDT
http://hg.mozilla.org/integration/mozilla-inbound/rev/8687100ce697
Comment 4 Ed Morley [:emorley] 2012-06-08 13:55:28 PDT
https://hg.mozilla.org/mozilla-central/rev/8687100ce697
Comment 5 Paul Silaghi, QA [:pauly] 2012-06-21 01:52:19 PDT
(In reply to Brian R. Bondy [:bbondy] from comment #2)
> I tried this on a Win7 machine and it showed the default browser checkbox,
> on a win8 machine it did not.

Verified fixed on Nightly 2012-06-20.

Note You need to log in before you can comment on or make changes to this bug.